## xen-common 3.0.4

=== tools/examples/Makefile ===
XEN_ROOT = ../../
include $(XEN_ROOT)/tools/Rules.mk

# Init scripts.
XEND_INITD = init.d/xend
XENDOMAINS_INITD = init.d/xendomains
XENDOMAINS_SYSCONFIG = init.d/sysconfig.xendomains

# Xen configuration dir and configs to go there.
XEN_CONFIG_DIR = /etc/xen
XEN_CONFIGS = xend-config.sxp
XEN_CONFIGS += xmexample1 
XEN_CONFIGS += xmexample2
XEN_CONFIGS += xmexample.hvm
XEN_CONFIGS += xmexample.vti
XEN_CONFIGS += xend-pci-quirks.sxp
XEN_CONFIGS += xend-pci-permissive.sxp

# Xen script dir and scripts to go there.
XEN_SCRIPT_DIR = /etc/xen/scripts
XEN_SCRIPTS = network-bridge vif-bridge
XEN_SCRIPTS += network-route vif-route
XEN_SCRIPTS += network-nat vif-nat
XEN_SCRIPTS += block
XEN_SCRIPTS += block-enbd block-nbd
XEN_SCRIPTS += blktap
XEN_SCRIPTS += vtpm vtpm-delete
XEN_SCRIPTS += xen-hotplug-cleanup
XEN_SCRIPTS += external-device-migrate
XEN_SCRIPT_DATA = xen-script-common.sh locking.sh logging.sh
XEN_SCRIPT_DATA += xen-hotplug-common.sh xen-network-common.sh vif-common.sh
XEN_SCRIPT_DATA += block-common.sh vtpm-common.sh vtpm-hotplug-common.sh
XEN_SCRIPT_DATA += vtpm-migration.sh vtpm-impl

XEN_HOTPLUG_DIR = /etc/hotplug
XEN_HOTPLUG_SCRIPTS = xen-backend.agent

UDEV_RULES_DIR = /etc/udev
UDEV_RULES = xen-backend.rules

DI = $(if $(DISTDIR),$(shell readlink -f $(DISTDIR)),)
DE = $(if $(DESTDIR),$(shell readlink -f $(DESTDIR)),)
ifeq ($(findstring $(DI),$(DE)),$(DI))
HOTPLUGS=install-hotplug install-udev
else
ifeq ($(shell [ -x /usr/bin/udevinfo ] && [ `/usr/bin/udevinfo -V | sed -e 's/^[^0-9]* \([0-9]\{1,\}\)[^0-9]\{0,\}/\1/'` -ge 059 ] && echo 1),1)
HOTPLUGS=install-udev
else
HOTPLUGS=install-hotplug
endif
endif

.PHONY: all
all:

.PHONY: build
build:

.PHONY: install
install: all install-initd install-configs install-scripts $(HOTPLUGS)

.PHONY: install-initd
install-initd:
	[ -d $(DESTDIR)/etc/init.d ] || $(INSTALL_DIR) $(DESTDIR)/etc/init.d
	[ -d $(DESTDIR)/etc/sysconfig ] || $(INSTALL_DIR) $(DESTDIR)/etc/sysconfig
	$(INSTALL_PROG) $(XEND_INITD) $(DESTDIR)/etc/init.d
	$(INSTALL_PROG) $(XENDOMAINS_INITD) $(DESTDIR)/etc/init.d
	$(INSTALL_PROG) $(XENDOMAINS_SYSCONFIG) $(DESTDIR)/etc/sysconfig/xendomains

.PHONY: install-configs
install-configs: $(XEN_CONFIGS)
	[ -d $(DESTDIR)$(XEN_CONFIG_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)
	[ -d $(DESTDIR)$(XEN_CONFIG_DIR)/auto ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)/auto
	for i in $(XEN_CONFIGS); \
	    do [ -e $(DESTDIR)$(XEN_CONFIG_DIR)/$$i ] || \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_CONFIG_DIR); \
	done

.PHONY: install-scripts
install-scripts:
	[ -d $(DESTDIR)$(XEN_SCRIPT_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
	for i in $(XEN_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done
	for i in $(XEN_SCRIPT_DATA); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done

.PHONY: install-hotplug
install-hotplug:
	[ -d $(DESTDIR)$(XEN_HOTPLUG_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_HOTPLUG_DIR)
	for i in $(XEN_HOTPLUG_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_HOTPLUG_DIR); \
	done

.PHONY: install-udev
install-udev:
	[ -d $(DESTDIR)$(UDEV_RULES_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(UDEV_RULES_DIR)/rules.d
	for i in $(UDEV_RULES); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(UDEV_RULES_DIR); \
	    ( cd $(DESTDIR)$(UDEV_RULES_DIR)/rules.d ; \
	        ln -sf ../$$i . ) \
	done

.PHONY: clean
clean:

## xen-common 3.2.0

=== tools/examples/Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # Xen configuration dir and configs to go there.
 XEN_CONFIG_DIR = /etc/xen
 XEN_CONFIGS = xend-config.sxp
+XEN_CONFIGS += xend-config-xenapi.sxp
+XEN_CONFIGS += xm-config.xml
+XEN_CONFIGS += xm-config-xenapi.xml
 XEN_CONFIGS += xmexample1 
 XEN_CONFIGS += xmexample2
 XEN_CONFIGS += xmexample.hvm
@@ -73,7 +76,7 @@
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)
 	[ -d $(DESTDIR)$(XEN_CONFIG_DIR)/auto ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)/auto
-	for i in $(XEN_CONFIGS); \
+	set -e; for i in $(XEN_CONFIGS); \
 	    do [ -e $(DESTDIR)$(XEN_CONFIG_DIR)/$$i ] || \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_CONFIG_DIR); \
 	done
@@ -82,11 +85,11 @@
 install-scripts:
 	[ -d $(DESTDIR)$(XEN_SCRIPT_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
-	for i in $(XEN_SCRIPTS); \
+	set -e; for i in $(XEN_SCRIPTS); \
 	    do \
 	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
 	done
-	for i in $(XEN_SCRIPT_DATA); \
+	set -e; for i in $(XEN_SCRIPT_DATA); \
 	    do \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
 	done
@@ -95,7 +98,7 @@
 install-hotplug:
 	[ -d $(DESTDIR)$(XEN_HOTPLUG_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_HOTPLUG_DIR)
-	for i in $(XEN_HOTPLUG_SCRIPTS); \
+	set -e; for i in $(XEN_HOTPLUG_SCRIPTS); \
 	    do \
 	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_HOTPLUG_DIR); \
 	done
@@ -104,11 +107,10 @@
 install-udev:
 	[ -d $(DESTDIR)$(UDEV_RULES_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(UDEV_RULES_DIR)/rules.d
-	for i in $(UDEV_RULES); \
+	set -e; for i in $(UDEV_RULES); \
 	    do \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(UDEV_RULES_DIR); \
-	    ( cd $(DESTDIR)$(UDEV_RULES_DIR)/rules.d ; \
-	        ln -sf ../$$i . ) \
+	    ln -sf ../$$i $(DESTDIR)$(UDEV_RULES_DIR)/rules.d; \
 	done
 
 .PHONY: clean

## xen-common 4.0.0

=== debian/changelog ===
xen-common (4.0.0-1) unstable; urgency=low

  * New upstream version.
  * Move README from versioned packages.
  * Add note about own README to xend config.
  * Again support versions with ABI used up to Lenny. (closes: #584804)
  * Depend against gawk. (closes: #578302)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Jun 2010 17:09:01 +0200

xen-common (3.4.2-4) unstable; urgency=low

  * Ignore extra version in version lookup.

 -- Bastian Blank <waldi@debian.org>  Fri, 26 Mar 2010 10:02:20 +0100

xen-common (3.4.2-3) unstable; urgency=low

  * Load xen-evtchn module.
  * Really include xenpm wrapper.
  * Use /bin/sh.
  * Use 3.0 (quilt) source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Mar 2010 21:05:26 +0000

xen-common (3.4.2-2) unstable; urgency=low

  * Redefine Xen version tests to allow detection of bare metal.
    (closes: #556859)
  * Support oldstyle Xen kernel without xenfs. (closes: #557151)
  * Use debhelper compat level 7.
  * Remove oldstable-only conflicts.
  * Add wrapper for xenpm.

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Nov 2009 16:51:53 +0100

xen-common (3.4.2-1) unstable; urgency=low

  * New upstream version.
  * Check for correct hypervisor type.
  * Fix xend stop. (closes: #555902)
  * Load modules and setup xenfs in xend init script.
  * Move udev rules to /lib/udev/rules.d.

 -- Bastian Blank <waldi@debian.org>  Mon, 16 Nov 2009 19:50:50 +0100

xen-common (3.3.1-2) unstable; urgency=low

  * Fix xenstored pidfile path.

 -- Bastian Blank <waldi@debian.org>  Sat, 18 Jul 2009 15:03:29 +0200

xen-common (3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Use quilt instead of dpatch.
  * Disable network setup instead of using dummy script.
  * Make the init script start all daemons.

 -- Bastian Blank <waldi@debian.org>  Tue, 30 Jun 2009 22:29:37 +0200

xen-common (3.2.0-2) unstable; urgency=low

  [ Guido Trotter ]
  * Fix init script LSB headers (closes: #458502)

  [ Bastian Blank ]
  * Special case unstable versions. 

 -- Bastian Blank <waldi@debian.org>  Fri, 07 Mar 2008 14:19:47 +0100

xen-common (3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Remove xenstore utils. Depend on xenstore-utils.

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Feb 2008 10:21:38 +0000

xen-common (3.1.0-1) unstable; urgency=low

  [ Julien Danjou ]
  * New upstream version
  * Remove interpreters patch, not useful anymore

  [ Guido Trotter ]
  * Handle gracefully domains called Name.* (closes: #432583)

  [ Ralph Passgang ]
  * Create directories with mkdir's "-p" option
  * Create $(BUILD_DIR)/docs/out before pod2man is executed.

 -- Bastian Blank <waldi@debian.org>  Mon, 20 Aug 2007 15:47:43 +0000

xen-common (3.0.4-1-2) unstable; urgency=low

  * Hide error message when xen-utils-version is not there (closes: #422667)
    (Thanks to Vincent Bernat)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 19 Jun 2007 10:10:27 +0100

xen-common (3.0.4-1-1) unstable; urgency=low

  [ Julien Danjou ]
  * Fix typo in init.d script (Closes: #404078)

  [ Guido Trotter ]
  * New upstream release
  * Fix xendomains init.d script for long domain names (Closes: #395305)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 23 May 2007 13:24:53 +0100

xen-common (3.0.3-0-2) unstable; urgency=medium

  * Make xen-utils-common depend on udev (closes: #398372)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Nov 2006 14:07:43 +0000

xen-common (3.0.3-0-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Add manpages. (Closes: #394931)

  [ Julien Danjou ]
  * Don't fail on loading netloop if it does not exist (Closes: #396477)

  [ Guido Trotter ]
  * New upstream release

 -- Guido Trotter <ultrotter@debian.org>  Thu,  2 Nov 2006 16:41:17 +0000

xen-common (3.0+hg11624-2) unstable; urgency=low

  * Add qemu-ifup script.

 -- Bastian Blank <waldi@debian.org>  Sun,  8 Oct 2006 17:01:05 +0000

xen-common (3.0+hg11624-1) unstable; urgency=medium

  * New upstream snapshot.
  * Load netloop module if necessary. (closes: #388352)
  * Set urgency to medium.

 -- Bastian Blank <waldi@debian.org>  Wed, 27 Sep 2006 09:15:40 +0000

xen-common (3.0+hg11292-2) unstable; urgency=low

  * Add lsb init info blocks.
  * Don't fail if no working xend is available.

 -- Bastian Blank <waldi@debian.org>  Sat,  9 Sep 2006 11:37:52 +0000

xen-common (3.0+hg11292-1) unstable; urgency=low

  * New upstream snapshot.
  * Create /var/log/xen.

 -- Bastian Blank <waldi@debian.org>  Sat,  2 Sep 2006 16:28:41 +0000

xen-common (3.0+hg11205-1) unstable; urgency=low

  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Aug 2006 17:46:22 +0000

=== debian/control ===
Source: xen-common
Section: kernel
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7), quilt

Package: xen-utils-common
Architecture: all
Depends: gawk, lsb-base, udev, xenstore-utils, ${misc:Depends}
Description: XEN administrative tools - common files
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION := $(shell echo "$(VERSION_DEBIAN)" | sed -e 's,-[^-]*$$,,')

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

$(STAMPS_DIR)/source:
	@mkdir -p $(STAMPS_DIR)
	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

$(STAMPS_DIR)/setup: SOURCE_FILES = $(filter-out debian, $(wildcard *))
$(STAMPS_DIR)/setup: DIR=$(BUILD_DIR)
$(STAMPS_DIR)/setup: $(STAMPS_DIR)/source
	@rm -rf $(DIR)
	mkdir $(DIR)
	cp -al $(SOURCE_FILES) $(DIR)
	cp -al debian/scripts $(DIR)
	touch $@

build: $(STAMPS_DIR)/setup
	make -C $(BUILD_DIR)/docs man-pages

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/*/*.pyc
	dh_clean

NO_ORIG = .svn .svk debian

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete $(foreach t, $(NO_ORIG), --exclude $(t)) --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG)
endif

maintainerclean:
	rm -rf $(filter-out $(NO_ORIG), $(wildcard * .[^.]*))

install: export DESTDIR=$(CURDIR)/debian/tmp
install: $(STAMPS_DIR)/source
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C $(BUILD_DIR)/tools/examples install-configs
	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev install-scripts UDEV_RULES_DIR=/lib/udev/rules.d
	$(MAKE) -C $(BUILD_DIR)/scripts install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installinit -p xen-utils-common --name xend --no-restart-on-upgrade -- defaults 20 21
	dh_installinit -p xen-utils-common --name xendomains --no-start -- defaults 21 20
	dh_installman $(BUILD_DIR)/docs/man1/* $(BUILD_DIR)/docs/man5/*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: build binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xen-common 4.1.0~rc6

=== debian/changelog ===
xen-common (4.1.0~rc6-1ubuntu1) oneiric; urgency=low

  * debian/xen-utils-common.xend.init: Added modprobe xen_blkback and 
    xen_netback, as they are not automatically loaded with Oneiric.
    This can be dropped for 12.04 release. (LP: #803488)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 07 Oct 2011 18:47:50 +0100

xen-common (4.1.0~rc6-1) unstable; urgency=low

  * New upstream release candidate.
  * Use /var/run for xenstored db.
  * Install common hotplug scripts. (closes: #591456)
  * Install xl config and cpupool example.
  * Install xl wrapper.

 -- Bastian Blank <waldi@debian.org>  Wed, 23 Mar 2011 10:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xen-common
 Section: kernel
 Priority: optional
-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 7), quilt
+Build-Depends: debhelper (>> 7)
 
 Package: xen-utils-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,16 @@
 BUILD_DIR = debian/build
 STAMPS_DIR = debian/stamps
 
-$(STAMPS_DIR)/source:
-	@mkdir -p $(STAMPS_DIR)
-	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
-	touch $@
+stamp = [ -d $(dir $@) ] || mkdir $(dir $@); touch $@
 
 $(STAMPS_DIR)/setup: SOURCE_FILES = $(filter-out debian, $(wildcard *))
 $(STAMPS_DIR)/setup: DIR=$(BUILD_DIR)
-$(STAMPS_DIR)/setup: $(STAMPS_DIR)/source
+$(STAMPS_DIR)/setup:
 	@rm -rf $(DIR)
 	mkdir $(DIR)
 	cp -al $(SOURCE_FILES) $(DIR)
 	cp -al debian/scripts $(DIR)
-	touch $@
+	$(stamp)
 
 build: $(STAMPS_DIR)/setup
 	make -C $(BUILD_DIR)/docs man-pages
@@ -55,12 +52,13 @@
 	rm -rf $(filter-out $(NO_ORIG), $(wildcard * .[^.]*))
 
 install: export DESTDIR=$(CURDIR)/debian/tmp
-install: $(STAMPS_DIR)/source
+install:
 	dh_testdir
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(BUILD_DIR)/tools/examples install-configs
-	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev install-scripts UDEV_RULES_DIR=/lib/udev/rules.d
+	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/common install-scripts
+	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev install-scripts UDEV_RULES_DIR=/lib/udev
 	$(MAKE) -C $(BUILD_DIR)/scripts install
 
 binary-indep: install

## xen-common 4.1.2

=== docs/Makefile ===
#!/usr/bin/make -f

XEN_ROOT=$(CURDIR)/..
include $(XEN_ROOT)/Config.mk
include $(XEN_ROOT)/docs/Docs.mk

VERSION		= xen-unstable

DOC_MAN5SRC	:= $(wildcard man/*.pod.5)
DOC_MAN1SRC	:= $(wildcard man/*.pod.1)
DOC_MAN1	:= $(patsubst man/%.pod.1,man1/%.1,$(DOC_MAN1SRC))
DOC_MAN5	:= $(patsubst man/%.pod.5,man5/%.5,$(DOC_MAN5SRC))
DOC_TEX		:= src/user.tex src/interface.tex
DOC_PS		:= $(patsubst src/%.tex,ps/%.ps,$(DOC_TEX))
DOC_PDF		:= $(patsubst src/%.tex,pdf/%.pdf,$(DOC_TEX))
DOC_HTML	:= $(patsubst src/%.tex,html/%/index.html,$(DOC_TEX))

GFX = $(patsubst %.fig, %.eps, $(wildcard figs/*.fig))

.PHONY: all
all: build

.PHONY: build
build: ps pdf html man-pages
	@if which $(DOT) 1>/dev/null 2>/dev/null ; then              \
	$(MAKE) -C xen-api build ; else                              \
        echo "Graphviz (dot) not installed; skipping xen-api." ; fi
	rm -f *.aux *.dvi *.bbl *.blg *.glo *.idx *.ilg *.log *.ind *.toc

.PHONY: dev-docs
dev-docs: python-dev-docs

.PHONY: ps
ps: $(DOC_PS)

.PHONY: pdf
pdf: $(DOC_PDF)

.PHONY: html
html:
	@if which $(LATEX2HTML) 1>/dev/null 2>/dev/null; then \
	$(MAKE) $(DOC_HTML); fi

.PHONY: python-dev-docs
python-dev-docs:
	@mkdir -v -p api/tools/python
	@set -e ; if which $(DOXYGEN) 1>/dev/null 2>/dev/null; then \
        echo "Running doxygen to generate Python tools APIs ... "; \
	$(DOXYGEN) Doxyfile;                                       \
	$(MAKE) -C api/tools/python/latex ; else                   \
        echo "Doxygen not installed; skipping python-dev-docs."; fi

.PHONY: man-pages
man-pages:
	@if which $(POD2MAN) 1>/dev/null 2>/dev/null; then \
	$(MAKE) $(DOC_MAN1) $(DOC_MAN5); fi

man1/%.1: man/%.pod.1 Makefile
	$(INSTALL_DIR) $(@D)
	$(POD2MAN) --release=$(VERSION) --name=`echo $@ | sed 's/^man1.//'| \
		sed 's/.1//'` -s 1 -c "Xen" $< $@

man5/%.5: man/%.pod.5 Makefile
	$(INSTALL_DIR) $(@D)
	$(POD2MAN) --release=$(VERSION) --name=`echo $@ | sed 's/^man5.//'| \
		sed 's/.5//'` -s 5 -c "Xen" $< $@

.PHONY: clean
clean:
	$(MAKE) -C xen-api clean
	rm -rf .word_count *.aux *.dvi *.bbl *.blg *.glo *.idx *~ 
	rm -rf *.ilg *.log *.ind *.toc *.bak core
	rm -rf $(GFX) ps pdf html
	rm -rf api
	rm -rf man5
	rm -rf man1

.PHONY: distclean
distclean: clean

.PHONY: install
install: all
	rm -rf $(DESTDIR)$(DOCDIR)
	$(INSTALL_DIR) $(DESTDIR)$(DOCDIR)

	$(MAKE) -C xen-api install

	cp -dR ps $(DESTDIR)$(DOCDIR)
	cp -dR pdf $(DESTDIR)$(DOCDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	cp -dR man1 $(DESTDIR)$(MANDIR)
	cp -dR man5 $(DESTDIR)$(MANDIR)
	[ ! -d html ] || cp -dR html $(DESTDIR)$(DOCDIR)

pdf/%.pdf: ps/%.ps
	$(INSTALL_DIR) $(@D)
	$(PS2PDF) $< $@.new
	mv $@.new $@

ps/%.ps: %.dvi
	$(INSTALL_DIR) $(@D)
	$(DVIPS) -Ppdf -G0 -o $@.new $<
	mv $@.new $@

%.dvi: src/%.tex $(GFX)
	$(LATEX) $< >/dev/null
	if [ -e $*.toc ] ; then $(LATEX) $< >/dev/null ; fi

%.eps: %.fig
	$(FIG2DEV) -L eps $< $@

html/%/index.html: src/%.tex
	$(INSTALL_DIR) $(@D)
	$(LATEX2HTML) -split 0 -show_section_numbers -toc_depth 3 -nonavigation \
	-numbered_footnotes -local_icons -noinfo -math -dir $(@D) \
	$< 1>/dev/null 2>/dev/null

=== tools/hotplug/Linux/Makefile ===
XEN_ROOT = $(CURDIR)/../../..
include $(XEN_ROOT)/tools/Rules.mk

# Init scripts.
XEND_INITD = init.d/xend
XENDOMAINS_INITD = init.d/xendomains
XENDOMAINS_SYSCONFIG = init.d/sysconfig.xendomains

XENCOMMONS_INITD = init.d/xencommons
XENCOMMONS_SYSCONFIG = init.d/sysconfig.xencommons

# Xen script dir and scripts to go there.
XEN_SCRIPTS = network-bridge vif-bridge
XEN_SCRIPTS += network-route vif-route
XEN_SCRIPTS += network-nat vif-nat
XEN_SCRIPTS += vif2
XEN_SCRIPTS += vif-setup
XEN_SCRIPTS += block
XEN_SCRIPTS += block-enbd block-nbd
XEN_SCRIPTS += blktap
XEN_SCRIPTS += vtpm vtpm-delete
XEN_SCRIPTS += xen-hotplug-cleanup
XEN_SCRIPTS += external-device-migrate
XEN_SCRIPTS += vscsi
XEN_SCRIPT_DATA = xen-script-common.sh locking.sh logging.sh
XEN_SCRIPT_DATA += xen-hotplug-common.sh xen-network-common.sh vif-common.sh
XEN_SCRIPT_DATA += block-common.sh vtpm-common.sh vtpm-hotplug-common.sh
XEN_SCRIPT_DATA += vtpm-migration.sh vtpm-impl

XEN_HOTPLUG_DIR = $(CONFIG_DIR)/hotplug
XEN_HOTPLUG_SCRIPTS = xen-backend.agent

UDEVVER = 0
ifeq ($(shell [ -x /sbin/udevadm ] && echo 1),1)
UDEVVER = $(shell /sbin/udevadm info -V | sed -e 's/^[^0-9]* \([0-9]\{1,\}\)[^0-9]\{0,\}/\1/' )
endif
ifeq ($(shell [ -x /usr/bin/udevinfo ] && echo 1),1)
UDEVVER = $(shell /usr/bin/udevinfo -V | sed -e 's/^[^0-9]* \([0-9]\{1,\}\)[^0-9]\{0,\}/\1/' )
endif

UDEV_RULES_DIR = $(CONFIG_DIR)/udev
UDEV_RULES = xen-backend.rules xend.rules

DI = $(if $(DISTDIR),$(shell readlink -f $(DISTDIR)),)
DE = $(if $(DESTDIR),$(shell readlink -f $(DESTDIR)),)
ifeq ($(findstring $(DI),$(DE)),$(DI))
HOTPLUGS=install-hotplug install-udev
else
ifeq ($(shell [ $(UDEVVER) -ge 059 ] && echo 1),1)
HOTPLUGS=install-udev
else
HOTPLUGS=install-hotplug
endif
endif

.PHONY: all
all:

.PHONY: build
build:

.PHONY: install
install: all install-initd install-scripts $(HOTPLUGS)

# See docs/misc/distro_mapping.txt for INITD_DIR location
.PHONY: install-initd
install-initd:
	[ -d $(DESTDIR)$(INITD_DIR) ] || $(INSTALL_DIR) $(DESTDIR)$(INITD_DIR)
	[ -d $(DESTDIR)$(SYSCONFIG_DIR) ] || $(INSTALL_DIR) $(DESTDIR)$(SYSCONFIG_DIR)
	$(INSTALL_PROG) $(XEND_INITD) $(DESTDIR)$(INITD_DIR)
	$(INSTALL_PROG) $(XENDOMAINS_INITD) $(DESTDIR)$(INITD_DIR)
	$(INSTALL_PROG) $(XENDOMAINS_SYSCONFIG) $(DESTDIR)$(SYSCONFIG_DIR)/xendomains
	$(INSTALL_PROG) $(XENCOMMONS_INITD) $(DESTDIR)$(INITD_DIR)
	$(INSTALL_PROG) $(XENCOMMONS_SYSCONFIG) $(DESTDIR)$(SYSCONFIG_DIR)/xencommons
	$(INSTALL_PROG) init.d/xen-watchdog $(DESTDIR)$(INITD_DIR)

.PHONY: install-scripts
install-scripts:
	[ -d $(DESTDIR)$(XEN_SCRIPT_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
	set -e; for i in $(XEN_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done
	set -e; for i in $(XEN_SCRIPT_DATA); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done

.PHONY: install-hotplug
install-hotplug:
	[ -d $(DESTDIR)$(XEN_HOTPLUG_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_HOTPLUG_DIR)
	set -e; for i in $(XEN_HOTPLUG_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_HOTPLUG_DIR); \
	done

.PHONY: install-udev
install-udev:
	[ -d $(DESTDIR)$(UDEV_RULES_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(UDEV_RULES_DIR)/rules.d
	set -e; for i in $(UDEV_RULES); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(UDEV_RULES_DIR)/rules.d; \
	done

.PHONY: clean
clean:

=== tools/hotplug/NetBSD/Makefile ===
XEN_ROOT = $(CURDIR)/../../..
include $(XEN_ROOT)/tools/Rules.mk

# Xen script dir and scripts to go there.
XEN_SCRIPTS =
XEN_SCRIPTS += block
XEN_SCRIPTS += vif-bridge
XEN_SCRIPTS += vif-ip

XEN_SCRIPT_DATA =
XEN_RCD_PROG = rc.d/xencommons rc.d/xend rc.d/xendomains rc.d/xen-watchdog

.PHONY: all
all:

.PHONY: build
build:

.PHONY: install
install: all install-scripts install-rcd

.PHONY: install-scripts
install-scripts:
	$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
	set -e; for i in $(XEN_SCRIPTS); \
	   do \
	   $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done
	set -e; for i in $(XEN_SCRIPT_DATA); \
	   do \
	   $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done

.PHONY: install-rcd
install-rcd:
	$(INSTALL_DIR) $(DESTDIR)$(CONFIG_DIR)/rc.d
	set -e; for i in $(XEN_RCD_PROG); \
	   do \
	   $(INSTALL_PROG) $$i $(DESTDIR)$(CONFIG_DIR)/rc.d; \
	done
	$(INSTALL_DATA) ../common/hotplugpath.sh $(DESTDIR)$(CONFIG_DIR)/rc.d/xen-hotplugpath.sh

.PHONY: clean
clean:

=== debian/changelog ===
xen-common (4.1.2-1) unstable; urgency=low

  [ Julien Danjou ]
  * New upstream release.
  * Remove Julien Danjou from the Uploaders field.

  [ Bastian Blank ]
  * Add support for xl toolstack.
  * Add script to call currently selected toolstack if possible.

 -- Bastian Blank <waldi@debian.org>  Thu, 27 Oct 2011 01:20:30 +0200

=== debian/control ===
Source: xen-common
Section: kernel
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7)

Package: xen-utils-common
Architecture: all
Depends: gawk, lsb-base, udev, xenstore-utils, ${misc:Depends}
Description: XEN administrative tools - common files
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
+	dh_installinit -p xen-utils-common --name xen
 	dh_installinit -p xen-utils-common --name xend --no-restart-on-upgrade -- defaults 20 21
 	dh_installinit -p xen-utils-common --name xendomains --no-start -- defaults 21 20
 	dh_installman $(BUILD_DIR)/docs/man1/* $(BUILD_DIR)/docs/man5/*
